Aah, thanks. I has been a long time since I started on node-tape. Time enough 
to pick up new dependencies :-) 

For the record, here is the latest list (although I am using an older npm2deb, 
and it does not pick up some that have already been packaged.):

$ npm2deb depends -r tape
Dependencies:
NPM                                               Debian
tape (4.6.3)                                      None
├─ deep-equal (~1.0.1)                            node-deep-equal (1.0.1-1)
├─ defined (~1.0.0)                               node-defined (1.0.0-1)
├─ for-each (~0.3.2)                              None
│  └─ is-function (~1.0.0)                        None
├─ function-bind (~1.1.0)                         None
├─ glob (~7.1.1)                                  node-glob (4.0.5-1)
├─ has (~1.0.1)                                   None
│  └─ function-bind (^1.0.2)                      None
├─ inherits (~2.0.3)                              node-inherits (2.0.1-3)
├─ minimist (~1.2.0)                              node-minimist (1.2.0-1)
├─ object-inspect (~1.2.1)                        None
├─ resolve (~1.1.7)                               node-resolve (0.3.1-1)
├─ resumer (~0.0.0)                               None
│  └─ through (~2.3.4)                            node-through2 (1.1.1-1)
├─ string.prototype.trim (~1.1.2)                 None
│  ├─ define-properties (^1.1.2)                  None
│  │  ├─ foreach (^2.0.5)                         None
│  │  └─ object-keys (^1.0.8)                     None
│  ├─ es-abstract (^1.5.0)                        None
│  │  ├─ es-to-primitive (^1.1.1)                 None
│  │  │  ├─ is-callable (^1.1.1)                  None
│  │  │  ├─ is-date-object (^1.0.1)               None
│  │  │  └─ is-symbol (^1.0.1)                    None
│  │  ├─ function-bind (^1.1.0)                   None
│  │  ├─ is-callable (^1.1.3)                     None
│  │  └─ is-regex (^1.0.3)                        None
│  └─ function-bind (^1.0.2)                      None
└─ through (~2.3.8)                               node-through2 (1.1.1-1)

Build dependencies:
NPM                                               Debian
concat-stream (~1.5.2)                            node-concat-stream (1.5.1-1)
falafel (~2.0.0)                                  None
js-yaml (~3.7.0)                                  None
tap (~7.1.1)                                      node-tap (0.7.1-1.1)
tap-parser (~3.0.4)                               None

Regards,

Ross

On 12/04/2016 02:55 PM, Lucas Castro wrote:
> I'm not sure about that,
> 
> npm2deb brings to some others, as is-callable, is-regex and one
> build-dependencies, falafel.
> 
> following the falafel dependencies we get rollup and acorn as
> dependencies, those are very complicating packaging.
> 
> 
> On 04-12-2016 06:33, Ross Gammon wrote:
>> Hi Lucas,
>>
>> How are you getting on with node-tape? We only have a month to get it into 
>> Debian Stretch.
>>
>> For your information, the only dependency left for node-tape (as far as I 
>> know) is node-has. Node has consists of the following two lines of code:
>>
>> var bind = require('function-bind');
>> module.exports = bind.call(Function.call, Object.prototype.hasOwnProperty);
>>
>> It doesn't really make sense to create a whole package just for that. I was 
>> planning to either patch node-tape so that it doesn't require node-has, or 
>> just provide node-has as binary package of node-tape (in case other packages 
>> want to use it - which I had not checked). I can't imaging node-has ever 
>> changing that much upstream!
>>
>> Sorry for not documenting this issue earlier - busy.
>>
>> Regards,
>>
>> Ross


Attachment: signature.asc
Description: OpenPGP digital signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to